/// <reference types="cesium" />
import { Destroyable } from "xbsj-xe2/dist-node/xe2-base-utils";
import { CzmGeoCanvasPoi, CzmGeoCustomDivPoi } from "xbsj-xe2/dist-node/xe2-cesium-objects/base-objects";
export declare class LabelManager extends Destroyable {
    private _viewer;
    private _labelMap;
    constructor(_viewer: Cesium.Viewer);
    add(poi: CzmGeoCustomDivPoi | CzmGeoCanvasPoi): void;
    delete(poi: CzmGeoCustomDivPoi | CzmGeoCanvasPoi): void;
    private _updateZOrder;
    private _updateLabelZOrder;
}
